Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::IntersectionSceneQueryResult Struct Reference

Holds the results of an intersection scene query (pair values). More...

`#include <OgreSceneQuery.h>`

List of all members.

## Public Attributes

SceneQueryMovableIntersectionList | movables2movables
| List of movable / movable intersections (entities, particle systems etc).
SceneQueryMovableWorldFragmentIntersectionList | movables2world
| List of movable / world intersections.

## Detailed Description

Holds the results of an intersection scene query (pair values).

Definition at line 467 of file OgreSceneQuery.h.

## Member Data Documentation

SceneQueryMovableIntersectionList Ogre::IntersectionSceneQueryResult::movables2movables

| List of movable / movable intersections (entities, particle systems etc). Definition at line 470 of file OgreSceneQuery.h. Referenced by Ogre::IntersectionSceneQuery::queryResult().

SceneQueryMovableWorldFragmentIntersectionList Ogre::IntersectionSceneQueryResult::movables2world

| List of movable / world intersections. Definition at line 472 of file OgreSceneQuery.h. Referenced by Ogre::IntersectionSceneQuery::queryResult().

The documentation for this struct was generated from the following file:

- OgreSceneQuery.h

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:50:34 2004